# -*- coding: utf-8 -*-
#------------------------------------------------------------
# pelisalacarta - XBMC Plugin
# Canal de prueba
# http://blog.tvalacarta.info/plugin-xbmc/pelisalacarta/
#------------------------------------------------------------

from core import logger
from core import servertools
from core import httptools
from core import scrapertools
from core.item import Item

#LISTA DE CAPITULOS: http://ver-novelas-online.com/video/el-mariachi-capitulos-completos/

def mainlist(item):
    logger.info("")
    itemlist = []
    url="http://ver-novelas-online.com/video/el-mariachi-capitulos-completos/"
    data=httptools.downloadpage(url).data
    patron1='http:\/\/ver-novelas-online.com\/[?]p=[0-9]{4}".*?\/'
    matches=scrapertools.find_multiple_matches(data, patron1)
    itemlist.append( Item(channel=item.channel, title="Serie: EL Mariachi - Capitulos completos"))
    for cadena in matches:
      # http://ver-novelas-online.com/?p=7532">Capitulo 1 /
      patron2="http:\/\/ver-novelas-online.com\/[?]p=[0-9]{4}"
      patron3="Capitulo [0-9][0-9]?"
      url=scrapertools.find_single_match(cadena, patron2)
      titulo=scrapertools.find_single_match(cadena, patron3)
      itemlist.append( Item(channel=item.channel, action="findvideos", title=titulo, url=url))
    return itemlist

def findvideos (item):
    itemlist =[]
    data = httptools.downloadpage(item.url).data
    itemlist = servertools.find_video_items(data=data)
    for video in itemlist:
        video.channel=item.channel
        video.action="play"
        video.title = item.title + " " + video.server
    return itemlist
